#
# Conditional build:
%bcond_without	tests	# don't perform "make check"
#
Summary:	ISO/IEC 23008-12:2017 HEIF file format decoder and encoder
Summary(pl.UTF-8):	Koder i dekoder formatu plików HEIF zgodnego z ISO/IEC 23008-12:2017
Name:		libheif
Version:	1.5.1
Release:	3
License:	LGPL v3+ (library), GPL v3+ (tools)
Group:		Libraries
#Source0Download: https://github.com/strukturag/libheif/releases/
Source0:	https://github.com/strukturag/libheif/releases/download/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	6606671f573cd2f89340c41e4c169e71
Patch0:		%{name}-pc.patch
Patch1:		%{name}-gdkpixbuf.patch
URL:		https://github.com/strukturag/libheif
BuildRequires:	autoconf >= 2.68
BuildRequires:	automake >= 1:1.13
BuildRequires:	gdk-pixbuf2-devel >= 2.0
BuildRequires:	libde265-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libstdc++-devel >= 6:4.7
BuildRequires:	libtool >= 2:2
BuildRequires:	libx265-devel
BuildRequires:	rpmbuild(macros) >= 1.734
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libheif is an ISO/IEC 23008-12:2017 HEIF file format decoder and
encoder.

HEIF is a new image file format employing HEVC (h.265) image coding
for the best compression ratios currently possible.

libheif makes use of libde265 for the actual image decoding and x265
for encoding. Alternative codecs for, e.g., AVC and JPEG can be
provided as plugins.

%description -l pl.UTF-8
libheif to koder i dekoder formatu plików HEIF, zgodnego z ISO/IEC
23008-12:2017.

HEIF to nowy format plików obrazów wykorzystujący kodowanie obrazu
HEVC (h.265) w celu osiągnięcia najwyższych dostepnych obecnie
współczynników kompresji.

libheif wykorzystuje libde265 do właściwego procesu dekodowania obrazu
oraz x265 do kodowania. Alternatywne kodeki do np. AVC czy JPEG mogą
być dostarczone jako wtyczki.

%package devel
Summary:	Header files for libheif
Summary(de.UTF-8):	libheif Headers
Summary(pl.UTF-8):	Pliki nagłówkowe libheif
License:	LGPL v3+
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libde265-devel
Requires:	libstdc++-devel >= 6:4.7
Requires:	libx265-devel

%description devel
The header files are only needed for development of programs using the
libheif library.

%description devel -l pl.UTF-8
Pliki nagłówkowe, potrzebne jedynie do rozwijania oprogramowania
wykorzystującego bibliotekę libheif.

%package static
Summary:	Static libheif library
Summary(pl.UTF-8):	Statyczna biblioteka libheif
License:	LGPL v3+
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libheif library.

%description static -l pl.UTF-8
Statyczna biblioteka libheif.

%package progs
Summary:	libheif utility programs
Summary(pl.UTF-8):	Programy narzędziowe libheif
License:	GPL v3+
Group:		Applications/Graphics
Requires:	%{name} = %{version}-%{release}

%description progs
This package contains utility programs to convert HEIF files.

%description progs -l pl.UTF-8
Ten pakiet zawiera programy narzędziowe do konwersji plików HEIF.

%package -n gdk-pixbuf2-loader-heif
Summary:	gdk-pixbuf plugin to handle HEIF files
Summary(pl.UTF-8):	Wtyczka gdk-pixbuf do obsługi plików HEIF
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description -n gdk-pixbuf2-loader-heif
gdk-pixbuf plugin to handle HEIF files.

%description -n gdk-pixbuf2-loader-heif -l pl.UTF-8
Wtyczka gdk-pixbuf do obsługi plików HEIF.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
%ifarch x32
	--disable-go
%endif

%{__make}

%{?with_tests:%{__make} check}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# module loaded via gmodule
%{__rm} $RPM_BUILD_ROOT%{_libdir}/gdk-pixbuf-2.0/2.*/loaders/*.la
# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libheif.la

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README.md
%attr(755,root,root) %{_libdir}/libheif.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libheif.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libheif.so
%{_includedir}/libheif
%{_pkgconfigdir}/libheif.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libheif.a

%files progs
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/heif-convert
%attr(755,root,root) %{_bindir}/heif-enc
%attr(755,root,root) %{_bindir}/heif-info
%attr(755,root,root) %{_bindir}/heif-thumbnailer
%{_datadir}/mime/packages/heif.xml
%{_datadir}/thumbnailers/heif.thumbnailer

%files -n gdk-pixbuf2-loader-heif
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/gdk-pixbuf-2.0/2.*/loaders/libpixbufloader-heif.so
%changelog
* Sat Nov 02 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libheif.git;a=log;h=master

* Sat Nov 02 2019 Jan Rękorajski <baggins@pld-linux.org> 73036a4
- disable go code on x32
- rel 3

* Tue Oct 29 2019 Jakub Bogusz <qboosh@pld-linux.org> 097d4e5
- release 2 (rebuild with libx265 3.2)

* Sat Oct 26 2019 Jakub Bogusz <qboosh@pld-linux.org> 17ed322
- updated to 1.5.1 (includes fix for CVE-2019-11471)

* Wed Aug 07 2019 Jakub Bogusz <qboosh@pld-linux.org> a94ea98
- release 2 (libde265 and libx265 soname change)

* Sun Jun 16 2019 Jakub Bogusz <qboosh@pld-linux.org> 21ff4bc
- updated to 1.4.0
- added gdkpixbuf patch (drop version from gdk-pixbuf loader module), added gdk-pixbuf2-loader-heif package

* Fri Mar 15 2019 Jan Palus <atler@pld-linux.org> 773ffd0
- release 4 (by relup.sh)

* Sat Dec 22 2018 Jakub Bogusz <qboosh@pld-linux.org> bd70b21
- added pc patch (add Requires.private), dropped .la file
- pl, more accurate License specifiers
- release 3

* Thu Nov 22 2018 Jan Palus <atler@pld-linux.org> 24d4b26
- libx265 rebuild
- release 2 (by relup.sh)

* Wed Jun 20 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> ee4a841
- up to 1.3.2

* Mon May 21 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 5c93631
- initial

